Bug 10763 - Update POD of C4::Creators::Lib::html_table() to use TT syntax
Summary: Update POD of C4::Creators::Lib::html_table() to use TT syntax
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 15:14 UTC by Owen Leonard
Modified: 2015-06-04 23:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10763 - Update POD of C4::Creators::Lib::html_table() to use TT syntax (3.08 KB, patch)
2013-08-19 15:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10763 - [SIGNED-OFF] Update POD of C4::Creators::Lib::html_table() to use TT syntax (3.24 KB, patch)
2013-08-20 08:13 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 10763 - [SIGNED-OFF] Update POD of C4::Creators::Lib::html_table() to use TT syntax (3.30 KB, patch)
2013-08-20 11:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-08-19 15:14:45 UTC
The POD of C4::Creators::Lib::html_table() has an example of how to create an HTML table based on the output of the function, but it uses the old template syntax, not TT syntax.
Comment 1 Owen Leonard 2013-08-19 15:18:51 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2013-08-20 08:13:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-08-20 11:47:50 UTC
Created attachment 20499 [details] [review]
Bug 10763 - [SIGNED-OFF] Update POD of C4::Creators::Lib::html_table() to use TT syntax

This patch updates the example template syntax in the POD for
C4::Creators::Lib::html_table() to use Template Toolkit syntax.

To test, view the POD for C4::Creators::Lib::html_table() and confirm
that it looks correct.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Checked the POD with "perldoc C4/Creators/Lib.pm" before and after applying
the patch. The example now uses TT syntax, and looks sensible.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2013-08-20 14:33:36 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-09-13 14:40:28 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Owen!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-15 01:44:37 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 7 Chris Hall 2013-11-22 22:08:19 UTC
Pushed to 3.8.x, will be in 3.8.20.